# PrimitiveArray Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveArray:
[legend]

List of all members.

## Public Member Functions

| setFetchMode ($ternary)
| import ($scope)
| importValue ($value)

## Private Attributes

| $fetchMode = null
| Fetching strategy for incoming containers:

## Detailed Description

Definition at line 15 of file PrimitiveArray.class.php.

## Member Function Documentation

PrimitiveArray::import | ( | $ | scope | ) |

Reimplemented from BasePrimitive.

Definition at line 38 of file PrimitiveArray.class.php.

References BasePrimitive::import(), and FiltrablePrimitive::selfFilter().

Here is the call graph for this function:

PrimitiveArray::importValue | ( | $ | value | ) |

Reimplemented from BasePrimitive.

Definition at line 60 of file PrimitiveArray.class.php.

References BasePrimitive::$value, and BasePrimitive::getName().

Here is the call graph for this function:

PrimitiveArray::setFetchMode | ( | $ | ternary | ) |

Returns:
  PrimitiveArray

Definition at line 29 of file PrimitiveArray.class.php.

References Assert::isTernaryBase().

Here is the call graph for this function:

## Member Data Documentation

PrimitiveArray::$fetchMode = null`[private]`

Fetching strategy for incoming containers:

null - do nothing; true - lazy fetch; false - full fetch.

Definition at line 24 of file PrimitiveArray.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveArray.class.php